import fitz  # PyMuPDFライブラリをインポート
import os

# フォルダのパスを指定
import fitz
import os

# フォルダのパスを指定
folder_path = 'ファイルパス' # 例：'C:/Users/【ユーザー名】/Desktop/input'

# フォルダ内のPDFファイルを処理
for filename in os.listdir(folder_path):
    if filename.endswith('.pdf'):
        pdf_file_path = os.path.join(folder_path, filename)

        # PDFファイルを開いて、指定したページをJPGに書き出す
        pdf_document = fitz.open(pdf_file_path)
        target_page = 0  # ページを指定（ページ番号は[0]からなので[0]が[1]ページ、[1]が[2]ページとなります）
        if target_page > pdf_document.page_count - 1:
            target_page = pdf_document.page_count - 1  # 無効なページ番号を防ぐ
        page = pdf_document.load_page(target_page)
        image = page.get_pixmap()
        
        # 出力ファイル名を一意に生成
        file_name, file_ext = os.path.splitext(filename)
        output_image_path = os.path.join(folder_path, f'{file_name}_page{target_page + 1}.jpg')  # ページ番号は[0]から始まるため+1する

        # JPGファイルとして保存
        image.save(output_image_path, 'jpeg')

        # PDFドキュメントを閉じる
        pdf_document.close()

        print(f'{pdf_file_path} の{target_page + 1}ページ目を {output_image_path} に書き出しました')
﻿
